Ability to choose, in administration page, the behaviour of status during copying issues
Description

The current behaviour of copying issues is to keep status : If we copy a closed issue | create a new closed one in Redmine 2.5.2.
This behaviour could be set in administration.
Administrator could choose if copying issues keep original status (current behaviour) or set the status to default one.

In fact, due to workflows, preserve status can forbid users to work on issues, if original status is used. Because, they can't change
the status of copied issue.

Another element is that, currently copying an issue give the ability to a user to choose too much values of status for a copied issue
during creation (It seems there is no relation between copying issue and workflows during create a copying issue).

Related issues:

Related to Redmine - Defect #16230: Copying issue to other tracker without th... Closed

Has duplicate Redmine - Feature #16959: Default status of copying closed issue Closed

Is duplicate of Redmine - Feature #23610: Reset status when copying issues Closed

Copied from Redmine - Defect #1551: Copying issues resets Status Closed 2008-06-30
History

#1 - 2014-07-29 11:18 - Anthony HERBE
- Copied from Defect #1551: Copying issues resets Status added

#2 - 2014-07-29 11:28 - Anthony HERBE

It means that the administration permits to change the default behaviour but user can choose, during the copying operation, among the original status
and the default one.

In one case, if administrator choose the default one, user have this status by default during copying operation without others modifications and in the
other case, user have the orginal status. In theses two cases, user can choose in the two types of status.

#3 - 2014-08-27 13:54 - Toshi MARUYAMA
- Has duplicate Feature #16959: Default status of copying closed issue added

#4 - 2014-08-27 14:02 - Toshi MARUYAMA
- Related to Defect #16230: Copying issue to other tracker without the status added

#5 - 2014-10-06 12:29 - Toshi MARUYAMA
- Related to Feature #10460: Option to copy watchers when copying issues added

#6 - 2015-04-04 11:21 - Go MAEDA

- Related to Defect #10348: Wrong issue statuses assignment during issue copy added
#7 - 2015-05-11 15:39 - Florian ROBERT
+1 I'm interested by this feature because currently when we copy and change a tracker we get a different tracker with a status that is not necessary

related to the new workflow.

#8 - 2016-02-05 13:54 - Nils Grimm
+1 This is a very useful feature while moving issues.

#9 - 2016-08-11 13:09 - Vincent C.
-- Deleted --

#10 - 2016-08-11 16:49 - Vincent C.
- File 0001-ADD-Config-option-for-resetting-the-status-when-copy.patch added

| made a proper implementation, the patch is included.
Corresponding Github commit : https:/github.com/vincent-clipet/redmine/commit/45335d4e9e7d7d4aa89dbc282c¢52dc1b0368b116

#11 - 2016-09-04 03:28 - Go MAEDA

- Is duplicate of Feature #23610: Reset status when copying issues added

#12 - 2016-09-04 03:33 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

This feature is about to be implemented by #23610 (Jean-Philippe Lang set target version to 3.4.0). | am closing this issue as a duplicate.

#13 - 2016-09-04 13:37 - Toshi MARUYAMA

- Related to deleted (Defect #10348: Wrong issue statuses assignment during issue copy)

#14 - 2016-09-04 13:42 - Toshi MARUYAMA
- Related to deleted (Feature #10460: Option to copy watchers when copying issues)

Files

0001-ADD-Config-option-for-resetting-the-status-when-copy.patch 3.43 KB 2016-08-11 Vincent C.
